Skip to main content
`Ctrl`+`K`

# MatCreateLMVMDDFP

Creates a dense representation of the limited-memory Davidon-Fletcher-Powell (DFP) approximation to a Hessian.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatCreateLMVMDDFP(MPI_Comm comm, PetscInt n, PetscInt N, Mat *B)

Collective

## Input Parameters

- comm - MPI communicator

- n - number of local rows for storage vectors

- N - global size of the storage vectors

## Output Parameter

- B - the matrix

## Note

It is recommended that one use the MatCreate(), MatSetType() and/or MatSetFromOptions() paradigm instead of this routine directly.

## See Also

`MatCreate()`, `MATLMVM`, `MATLMVMDDFP`, `MatCreateLMVMDFP()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/dense/denseqn.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages